package cn.com.poc.ai_data_audit.convert;	

import cn.com.poc.ai_data_audit.model.BizAiDataAuditRuleModel;
import cn.com.poc.ai_data_audit.entity.BizAiDataAuditRuleEntity;
import cn.com.poc.ai_data_audit.dto.BizAiDataAuditRuleDto;


public class BizAiDataAuditRuleConvert {

    public static BizAiDataAuditRuleEntity modelToEntity(BizAiDataAuditRuleModel model){
        BizAiDataAuditRuleEntity entity = new BizAiDataAuditRuleEntity();
        entity.setDataAuditRuleId(model.getDataAuditRuleId());
        entity.setDataAuditRuleType(model.getDataAuditRuleType());
        entity.setFirstFile(model.getFirstFile());
        entity.setFirstField(model.getFirstField());
        entity.setSecondFile(model.getSecondFile());
        entity.setSecondField(model.getSecondField());
        entity.setRuleDesc(model.getRuleDesc());
        entity.setIsDeleted(model.getIsDeleted());
        entity.setCreator(model.getCreator());
        entity.setCreatedTime(model.getCreatedTime());
        entity.setModifier(model.getModifier());
        entity.setModifiedTime(model.getModifiedTime());
        entity.setSysVersion(model.getSysVersion());
        return entity;
    }

    public static BizAiDataAuditRuleModel entityToModel(BizAiDataAuditRuleEntity entity){
        BizAiDataAuditRuleModel model = new BizAiDataAuditRuleModel();
        model.setDataAuditRuleId(entity.getDataAuditRuleId());
        model.setDataAuditRuleType(entity.getDataAuditRuleType());
        model.setFirstFile(entity.getFirstFile());
        model.setFirstField(entity.getFirstField());
        model.setSecondFile(entity.getSecondFile());
        model.setSecondField(entity.getSecondField());
        model.setRuleDesc(entity.getRuleDesc());
        model.setIsDeleted(entity.getIsDeleted());
        model.setCreator(entity.getCreator());
        model.setCreatedTime(entity.getCreatedTime());
        model.setModifier(entity.getModifier());
        model.setModifiedTime(entity.getModifiedTime());
        model.setSysVersion(entity.getSysVersion());
        return model;
    }
    
    public static BizAiDataAuditRuleDto entityToDto(BizAiDataAuditRuleEntity entity){
        BizAiDataAuditRuleDto dto = new BizAiDataAuditRuleDto();
        dto.setDataAuditRuleId(entity.getDataAuditRuleId());
        dto.setDataAuditRuleType(entity.getDataAuditRuleType());
        dto.setFirstFile(entity.getFirstFile());
        dto.setFirstField(entity.getFirstField());
        dto.setSecondFile(entity.getSecondFile());
        dto.setSecondField(entity.getSecondField());
        dto.setRuleDesc(entity.getRuleDesc());
        dto.setIsDeleted(entity.getIsDeleted());
        dto.setCreator(entity.getCreator());
        dto.setCreatedTime(entity.getCreatedTime());
        dto.setModifier(entity.getModifier());
        dto.setModifiedTime(entity.getModifiedTime());
        dto.setSysVersion(entity.getSysVersion());
        return dto;
    }

    public static BizAiDataAuditRuleEntity dtoToEntity(BizAiDataAuditRuleDto dto){
        BizAiDataAuditRuleEntity entity = new BizAiDataAuditRuleEntity();
        entity.setDataAuditRuleId(dto.getDataAuditRuleId());
        entity.setDataAuditRuleType(dto.getDataAuditRuleType());
        entity.setFirstFile(dto.getFirstFile());
        entity.setFirstField(dto.getFirstField());
        entity.setSecondFile(dto.getSecondFile());
        entity.setSecondField(dto.getSecondField());
        entity.setRuleDesc(dto.getRuleDesc());
        entity.setIsDeleted(dto.getIsDeleted());
        entity.setCreator(dto.getCreator());
        entity.setCreatedTime(dto.getCreatedTime());
        entity.setModifier(dto.getModifier());
        entity.setModifiedTime(dto.getModifiedTime());
        entity.setSysVersion(dto.getSysVersion());
        return entity;
    }
}